Skip to main content
GET
/
v2
/
waiters
/
{eventId}
List Waiters
curl --request GET \
  --url https://qstash.upstash.io/v2/waiters/{eventId} \
  --header 'Authorization: Bearer <token>'
[
  {
    "url": "<string>",
    "headers": {},
    "deadline": 123,
    "timeoutBody": "aSDinaTvuI8gbWludGxpZnk=",
    "timeoutUrl": "<string>",
    "timeoutHeaders": {}
  }
]

Authorizations

Authorization
string
header
required

QStash authentication token

Path Parameters

eventId
string
required

The event ID to list waiters for.

Response

List of active waiters

url
string

The URL that is waiting for the event notification.

headers
object

The HTTP headers to send with the notification.

deadline
integer<int64>

The Unix timestamp in seconds when the wait operation times out.

timeoutBody
string<byte>

The body to send if the wait times out.

timeoutUrl
string

The URL to call if the wait times out.

timeoutHeaders
object

The HTTP headers to send with the timeout callback.